RXQUEUE(1)

NAME
rxqueue - Open Object Rexx Queue Filter

SYNTAX
rxqueue [queuename] [/FIFO|/LIFO/CLEAR]

DESCRIPTION
This program operates as a filter, placing the output of an operating system command onto an Open Object Rexx queue.

The name of the queue to act upon is determined in the following order:

1.  queuename specified on the command line

2.  The name of the queue specified by the environment variable RXQUEUE

3.  The default queue name SESSION

OPTIONS

/FIFO
    places lines onto the queue in first-in first out order. This is the default.

/LIFO
    places lines onto the queue in last-in first out order.

/CLEAR
    removes all lines from the queue.

SEE ALSO
rxsubcom(1)

EXAMPLES

ls | rxqueue MYQ /LIFO
    Place the output from the ls command onto the MYQ queue in last-in first-out order

export RXQUEUE=MYQ;rxqueue /CLEAR
    Clear the contents of MYQ

LICENSE
Open Object Rexx is distributed under the terms of the Common Public License v1.0 which accompanies this distribution. http://www.oorexx.org/license.html